WineHQ
Category: Main Games Role Playing Games Deus Ex GOTY Steam version 1112f`

Deus Ex

This is the Steam Game of the Year version 1112f

Application Details:

Version: GOTY Steam version 1112f`
License: Retail
URL: http://mirror.deusexnetwork.co...
Votes: 2
Latest Rating: Gold
Latest Wine Version Tested: 1.7.53-staging

Maintainers: About Maintainership

Free Download n/a

Test Results

Old test results
The test results for this version are very old, and as such they may not represent the current state of Wine. Please consider submitting a new test report.
Selected Test Results

What works





  • Install Deus Ex from Steam store
  • Install full Deus Ex: Revision mod from Steam store
  • Enabling 3D sound
  • Audio device (Corsair USB Headset) successfully selected in winecfg Audio tab
  • Switching display to / from single monitor mode (dual monitor / single X session)
  • Steam Overlay in game (including screenshots & FPS counter)
  • In game cut scenes
  • Stable for hours of game play
  • Switching between Shifter & Biomod mods (successfully restarts game)
  • Enhanced models, lighting & textures

What does not





Workarounds

What was not tested



Hardware tested

Graphics:

  • GPU:
  • Driver:

Additional Comments

Note: this rating is based solely on the performance of Deus Ex - most of the encountered issues are due to problems encountered with the Steam Client! Wine Staging 1.7.53 Git (without CSMT & Pipelight support) and single user patch (see above). System Software uname -r 4.1.9-gentoo-r1 emerge -pv wine xorg-server nvidia-drivers [ebuild R ~] x11-base/xorg-server-1.17.2-r2:0/1.17.2 USE="ipv6 nptl suid systemd udev xorg -dmx -doc -glamor -kdrive -libressl -minimal (-selinux) -static-libs -tslib -unwind -wayland -xephyr -xnest -xvfb" 0 KiB [ebuild R *] app-emulation/wine-9999 USE="X alsa cups fontconfig gecko gphoto2 gsm jpeg lcms mono mp3 ncurses nls openal opencl opengl osmesa png prelink pulseaudio realtime run-exes s3tc samba scanner ssl staging threads truetype udisks vaapi xcomposite xinerama xml -capi -custom-cflags -dos -gstreamer -ldap -netapi -odbc -oss -pcap -perl -pipelight (-selinux) {-test} -v4l" ABI_X86="32 64 (-x32)" LINGUAS="en en_US -ar -bg -ca -cs -da -de -el -eo -es -fa -fi -fr -he -hi -hr -hu -it -ja -ko -lt -ml -nb_NO -nl -or -pa -pl -pt_BR -pt_PT -rm -ro -ru -sk -sl -sr_RS@cyrillic -sr_RS@latin -sv -te -th -tr -uk -wa -zh_CN -zh_TW" 0 KiB [ebuild R ~] x11-drivers/nvidia-drivers-352.30-r1:0/352 USE="X acpi gtk2 multilib tools uvm -gtk3 -pax_kernel" 75,849 KiB System Hardware system G751JT (ASUS-NotebookSKU) /0 bus G751JT /0/0 memory 64KiB BIOS /0/8 processor Core i7 /0/8/9 memory 1MiB L2 cache /0/8/a memory 256KiB L1 cache /0/8/b memory 6MiB L3 cache /0/c memory 32GiB System Memory /0/c/0 memory 8GiB SODIMM DDR3 Synchronous 1600 MHz (0.6 ns) /0/c/1 memory 8GiB SODIMM DDR3 Synchronous 1600 MHz (0.6 ns) /0/c/2 memory 8GiB SODIMM DDR3 Synchronous 1600 MHz (0.6 ns) /0/c/3 memory 8GiB SODIMM DDR3 Synchronous 1600 MHz (0.6 ns) /0/100 bridge Xeon E3-1200 v3/4th Gen Core Processor DRAM Controller /0/100/1 bridge Xeon E3-1200 v3/4th Gen Core Processor PCI Express x16 Controller /0/100/1/0 display GM204M [GeForce GTX 970M] /0/100/1/0.1 multimedia GM204 High Definition Audio Controller /0/100/14 bus 8 Series/C220 Series Chipset Family USB xHCI /0/100/14/0 usb2 bus xHCI Host Controller /0/100/14/0/2 bus USB3.0 Hub /0/100/14/0/2/4 bus USB3.0 Hub /0/100/14/1 usb1 bus xHCI Host Controller /0/100/14/1/2 bus USB2.0 Hub /0/100/14/1/2/3 multimedia Corsair Gaming H2100 Headset

selected in Test Results table below
Operating systemTest dateWine versionInstalls?Runs?Used
Workaround?
RatingSubmitter
CurrentGentoo Linux x86_64Oct 17 20151.7.53-stagingYes Yes GoldRob 
ShowArch Linux x86_64May 03 20141.7.18Yes Yes Goldan anonymous user 
ShowSlackware 14.1 32 bit versionJan 18 20141.7.11Yes No GarbageZootal 

Known Bugs

Bug # Description Status Resolution Other apps affected

Show all bugs

HowTo / Notes

Install Deus Ex: Revision


Deus Ex: Revision is a large-scale re-imagining of the world of Deus Ex, bringing a tightly integrated aesthetic-oriented approach to the original gameplay. Revision brings in Project HDTP and New Vision for high-detail models and textures. Also bundled in Chris Dohnal’s Direct3D 9 renderer. Revision also includes the Shifter and BioMod modifications as alternate gameplay modes; Shifter adds various tweaks and unique weapons, spicing up the experience. BioMod offers a more distinct flavor, and introduces new gameplay mechanics while rebalancing how augmentations work within the game.


Deus Ex: Revision homepage Deus Ex: Revision on ModDB




Using the Stock OpenGL Renderer

Out-of-the box the stock OpenGL renderer will generate a segmentation fault:

double free or corruption (!prev)

This BASH script will fix the DeusEx.ini file settings to correct this. Note it is recommended to use the newer OpenGL renderer (which is significantly better)

  1. Create this script (credit to Morgawr, his original script was used as a basis for this):
  2. #!/bin/bash


    #export WINEPREFIX="❚❚❚❚❚❚"

    export DEUS_EX_PATH

    # Read install path for Deus Ex, from the Wine Registry.
    # Note: this requires a first run, when DeusEx is installed under Steam.

    DEUS_EX_PATH="$(
         wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
            | awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
            | dos2unix
    )"

    # Fallback to 'C:\DeusEx'

    DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"

    printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"

    # Convert path from Windows to Unix format

    DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"

    if [[ ! -d "${DEUS_EX_PATH}" ]]; then
         printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
         exit 1
    fi

    # Patch settings to make the game work properly on OpenGL devices
    # Uses the default DeusEx install path (for the current WINEPREFIX)
    if ! sed -i -e '/FrameRateLimit=60/d' \
                  -e 's/^GameRenderDevice=.*$/GameRenderDevice=OpenGLDrv.OpenGLRenderDevice/g' \
                  -e '/^GameRenderDevice=OpenGLDrv.OpenGLRenderDevice$/a\FrameRateLimit=60' \
                  -e 's/FirstRun=.*$/FirstRun=1100/g' \
             "${DEUS_EX_PATH}/System/DeusEx.ini"
    then
         printf "Unable to update DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini" >&2
    exit 1
    fi

    printf "Successfully updated DeusEx.ini file: '%s'\\n" "${DEUS_EX_PATH}/System/DeusEx.ini"

  3. Make the script executable & run it:
    chmod +x fix_deus_ex_opengl.sh
    ./fix_deus_ex_opengl.sh
    (ensure your WINEPREFIX env variable is set)
Install Kentie Launcher

The Kentie Launcher Deus Exe is a replacement executable for Deus Ex. It's compatible with the GOTY edition of the game, which includes the Steam version. Note: the enhanced Steam version of DeusEx appears to lose support for the high resolution/wide screen fixes, when the Kentie Launcher is installed.

The launcher:

  • fixes various issues running the game on modern computers
  • helps you configure the game
  • includes a mod manager

Kentie Launcher homepage

This script will download version 8.1 of the Kentie Launcher and automatically install it, to the specified WINEPREFIX.

Update the KENTIE_VERSION variable as required.

#!/bin/bash

export WINEPREFIX="❚❚❚❚❚❚"


export DEUS_EX_PATH PATH_7ZIP KENTIE_LAUNCHER_ARCHIVE KENTIE_LAUNCHER_URL KENTIE_VERSION

KENTIE_VERSION="8.1"
KENTIE_LAUNCHER_URL="http://kentie.net/article/dxguide/files/DeusExe-v${KENTIE_VERSION}.zip"
KENTIE_LAUNCHER_ARCHIVE="$(basename "${KENTIE_LAUNCHER_URL}")"

# Install winetricks verbs: vcrun2015 7zip

if ! winetricks vcrun2015 7zip; then
     printf "winetricks vcrun2015 7zip failed\\n" >&2
     exit 1
fi

# Read install path for Deus Ex, from the Wine Registry.
# Note: this requires a first run, when DeusEx is installed under Steam.

DEUS_EX_PATH="$(
     wine reg query 'HKEY_LOCAL_MACHINE\Software\Unreal Technology\Installed Apps\Deus Ex' /v Folder 2>/dev/null \
         | awk '{ if (sub("^[[:blank:]]*Folder[[:blank:]]*REG_SZ[[:blank:]]*","")) print $0 }' \
         | dos2unix
)"

# Fallback to 'C:\DeusEx'

DEUS_EX_PATH="${DEUS_EX_PATH:-C:\\DeusEx}"

printf "Using DeusEx (Windows) install path: '%s'\\n" "${DEUS_EX_PATH}"

# Convert path from Windows to Unix format

DEUS_EX_PATH="$(winepath -u "${DEUS_EX_PATH}" 2>/dev/null)"

if [[ ! -d "${DEUS_EX_PATH}" ]]; then
     printf "DeusEx install path: '%s' ; does not exist\\n" "${DEUS_EX_PATH}" >&2
     exit 1
fi

# Download Kentie Launcher
if ! wget "${KENTIE_LAUNCHER_URL}" -O "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"; then
     printf "Kentie Deus Ex Launcher unavailable @: '%s'\\n" "${KENTIE_LAUNCHER_URL}" >&2
     exit 1
fi

# Hack to determine path of 7-zip (32-bit or 64-bit)

PATH_7ZIP='C:\Program Files (x86)\7-Zip\7z.exe'

if ! wine "${PATH_7ZIP}" &>/dev/null; then
     PATH_7ZIP='C:\Program Files\7-Zip\7z.exe'
fi

if ! cd "${DEUS_EX_PATH}/System"; then
     printf "cd to path: '%s' ; failed\\n" "${DEUS_EX_PATH}/System" >&2
     exit 1
fi

# Extract Kentie Launcher archive (case-insensitive)
if ! wine "${PATH_7ZIP}" e -y """$(winepath -w "${KENTIE_LAUNCHER_ARCHIVE}" )"""; then
     printf "Unable to extract Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}" >&2
     exit 1
fi

printf "Successfully extracted Kentie Deus Ex Launcher: '%s'\\n" "${DEUS_EX_PATH}/System/${KENTIE_LAUNCHER_ARCHIVE}"


Comments

The following comments are owned by whoever posted them. WineHQ is not responsible for what they say.

How to get Deus Ex Steam GOTY working
by Zootal on Thursday February 6th 2014, 11:57
Go here:

kentie.net/article/dxguide/index.htm

This works *VERY WELL* with the Steam GOTY version of Deus Ex. It has the added benefit of not starting Steam. Very stable, highly configurable. I cannot over state how happy I am with this, and it is a blast being able to play through this classic on modern hardware.

Be careful if you choose to use any cheats - sometimes it will break your ability to swap weapons, and when you save it will break the save game. Save and save often just in case you have to revert back to an older save game.
RE: How to get Deus Ex Steam GOTY working
by Zootal on Thursday February 6th 2014, 12:08
By way of clarification - using the "fixer" I referenced does not break the save games. IF you use the fixer AND IF you use cheats AND IF it causes weapon swapping to stop working (this is rare, by the way) THEN your save game will be broken. Otherwise, save games work fine.
Back